#include "PointMT.h"
#include "DataSetInterface.h"

#include <iostream>
using namespace std;

int main()
{

  //Test Data Set Inteface with PointT
  PointMT p1(0.0, 0.0);
  PointMT p2(3.0, 4.0);
  PointMT p3(7.0, 24.0);
  PointMT p4(5.0, 12.0);

  DataSetInterface ds;
  ds.add(&p1);
  ds.add(&p2);
  ds.add(&p3);
  ds.add(&p4);
  
  cout << "average = " << ds.getAverage() << "\n";

  Measurable *maxM = ds.getMaximum();

  PointMT *maxP = (PointMT*) maxM;

  cout << "maximum = " << *maxP << "\n";
  
  return 0;
}
