#include "BankAccount.h"

BankAccount::BankAccount()
{
  this->balance = 0.0;
}

void BankAccount::deposit(double amount)
{
  this->balance += amount;
}

void BankAccount::withdraw(double amount)
{
  this->balance -= amount;
}

double BankAccount::getBalance()
{
  return balance;
}

double BankAccount::getMeasure()
{
  return balance;
}

std::ostream& operator<< (std::ostream &out, const BankAccount &ba)
{
  //From http://www.learncpp.com/cpp-tutorial/93-overloading-the-io-operators/
  out << "BankAccount(" << ba.balance << ") ";
 
  return out;
}
